#include <bits/stdc++.h>

using namespace std;

int main()
{
   long long cif, n, br=0;
   scanf("%lld",&n);
   while(n!=0){
   cif=n%10;
   br+=cif/5+(cif%5)/2+(cif%5)%2;
   n=n/10;
   }

   printf("%lld",br);
    return 0;
}